Robotsystem of the Robot Group Leipzig: RaySensor Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RaySensor Class Reference

Abstract class for Ray-based sensors. More...

`#include <raysensor.h>`

Inherited by IRSensor.

Inheritance diagram for RaySensor:

[legend]
List of all members.

## Public Types
| drawNothing
| drawRay
| drawSensor
| drawAll
enum | rayDrawMode { drawNothing, drawRay, drawSensor, drawAll }
## Public Member Functions
| RaySensor ()
virtual | ~RaySensor ()
virtual void | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle, Primitive *body, const osg::Matrix pose, double range, rayDrawMode drawMode=drawSensor)=0
| providing essential information
virtual void | reset ()=0
| used for reseting the sensor value to a value of maximal distance.
virtual bool | sense (dGeomID object)=0
| performs sense action by checking collision with the given object
virtual double | get ()=0
| returns the sensor value (usually in the range [-1,1] )
virtual void | update ()=0
| updates the position of the osg nodes
virtual dGeomID | getGeomID ()=0
| returns the geomID of the ray geom (used for optimisation)

## Detailed Description

Abstract class for Ray-based sensors.

This are sensors which are based on distance measurements using the ODE geom class Ray. The sensor value is obtained by collisions. However of no collision is detected the sensor needs to ajust its output as well. Therefore a reset function is provided.

## Member Enumeration Documentation

enum rayDrawMode

Enumerator:

  drawNothing |
  drawRay |
  drawSensor |
  drawAll |

## Constructor & Destructor Documentation

RaySensor | ( |  | ) | `[inline]`

virtual ~RaySensor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual double get | ( |  | ) | `[pure virtual]`

returns the sensor value (usually in the range [-1,1] )

Implemented in IRSensor.

virtual dGeomID getGeomID | ( |  | ) | `[pure virtual]`

returns the geomID of the ray geom (used for optimisation)

Implemented in IRSensor.

virtual void init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | Primitive * | body,
|  | const osg::Matrix | pose,
|  | double | range,
|  | rayDrawMode | drawMode = `drawSensor` |
| ) |  |  | `[pure virtual]`

providing essential information

virtual void reset | ( |  | ) | `[pure virtual]`

used for reseting the sensor value to a value of maximal distance.

Implemented in IRSensor.

virtual bool sense | ( | dGeomID | object | ) | `[pure virtual]`

performs sense action by checking collision with the given object

Returns:
  true for collision handled (sensed) and false for no interaction

Implemented in IRSensor.

virtual void update | ( |  | ) | `[pure virtual]`

updates the position of the osg nodes

Implemented in IRSensor.

The documentation for this class was generated from the following file:

- raysensor.h